`timescale 1ns/1ps
module tst();
	wire outt, outg;
	reg a, b, c, d;
	integer count;
	
	usrNOR mycomponent(outt, a, b, c, d);
	nor mygate(outg, a, b, c, d);
	
	initial begin
		{a, b, c, d} = 0;
		
		for(count = 0;count < 16;count = count + 1)
			#15 {a, b, c, d} = count;

		for(count = 15;count >= 0;count = count - 1)
			#15 {a, b, c, d} = count;
			
		#15 $finish;
	end
endmodule