`timescale 1ns/1ps
module usrNOR(out, a, b, c, d);
	output out;
	input a, b, c, d;
	wire w1,w2,w3;
	supply1 vdd;
	supply0 gnd;
	
	nmos #(3, 5, 4)
		(out, gnd, a)
		,(out, gnd, b)
		,(out, gnd, c)
		,(out, gnd, d);
		
	pmos #(4, 6, 5)
		(w3, vdd, d)
		,(w2, w3, c)
		,(w1, w2, b)
		,(out, w1, a);
endmodule