`timescale 1ns/1ps
module tst();
	wire outt, outg;
	reg a, b;
	integer count;
	
	usrXOR mycomponent(outt, a, b);
	xor mygate(outg, a, b);
	
	initial begin
		{a, b} = 0;
		
		for(count = 0;count < 4;count = count + 1)
			#15 {a, b} = count;
			
		for(count = 3;count >= 0;count = count - 1)
			#15 {a, b} = count;
			
		#15 $finish;
	end
endmodule